Package oracle.nosql.driver

## Enum Consistency

- java.lang.Object
- - java.lang.Enum<Consistency>
  - - oracle.nosql.driver.Consistency

- All Implemented Interfaces:
    `Serializable`, `Comparable<Consistency>`

      public enum Consistency
      extends Enum<Consistency>

  Consistency is used to provide consistency guarantees for read operations.

  `ABSOLUTE` consistency may be specified to guarantee that current values are read. `EVENTUAL` consistency means that the values read may be very slightly out of date. `ABSOLUTE` consistency results in higher cost, consuming twice the number of read units for the same data relative to `EVENTUAL` consistency, and should only be used when required.

  It is possible to set a default Consistency for a `NoSQLHandle` instance by using `NoSQLHandleConfig.setConsistency(oracle.nosql.driver.Consistency)`. If no Consistency is specified in an operation and there is no default value, `EVENTUAL` is used.

  Consistency can be specified as an optional argument to all read operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ABSOLUTE` |
    `EVENTUAL` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Consistency` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Consistency[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVENTUAL

          public static final Consistency EVENTUAL

    - #### ABSOLUTE

          public static final Consistency ABSOLUTE

  - ### Method Detail

    - #### values

          public static Consistency[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Consistency c : Consistency.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Consistency valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null